# Module api_dht_raw

- Description
- Function Index
- Function Details

API for raw access to DHT based on (already) hashed keys.

Copyright © 2011-2014 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`), Nico Kruber (`kruber@zib.de`), Florian Schintke (`schintke@zib.de`).

## Description

API for raw access to DHT based on (already) hashed keys.

## Function Index

get_replica_keys/1 |
range_read/2 | Read a range of key-value pairs between the given two keys (inclusive).
split_ring/1 |
unreliable_get_key/1 |
unreliable_get_key/3 |
unreliable_lookup/2 |

## Function Details

### get_replica_keys/1

    get_replica_keys(Key :: rt_chord:key()) -> [rt_chord:key()]

### unreliable_lookup/2

    unreliable_lookup(Key :: rt_chord:key(), Msg :: comm:message()) ->
                         ok

### unreliable_get_key/1

    unreliable_get_key(Key :: rt_chord:key()) -> ok

### unreliable_get_key/3

    unreliable_get_key(CollectorPid :: comm:mypid(),
                       ReqId :: {rdht_req_id, pos_integer()},
                       Key :: rt_chord:key()) ->
                          ok

### range_read/2

    range_read(From :: intervals:key(), To :: intervals:key()) ->
                  {ok | timeout, [db_entry:entry()]}

Read a range of key-value pairs between the given two keys (inclusive).

### split_ring/1

    split_ring(Parts :: pos_integer()) -> [rt_chord:key()]

Generated by EDoc, Feb 29 2016, 16:12:19.